package com.migao.config.authority;


import com.migao.config.properties.SystemProperties;
import com.migao.entity.po.User;
import com.migao.entity.vo.res.UserLoginRes;
import com.migao.mapper.UserMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpMethod;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.stream.Collectors;

/**
 * @author 鉴权拦截器
 * description
 * createDate     2019/4/15 14:54
 * updateRemark
 * version        1.0
 */

@Slf4j
@Component
public class AuthorityInterceptor implements HandlerInterceptor {


    @Resource
    private AuthenticationProperties authenticationProperties;
    @Resource
    private UserMapper userMapper;
    @Resource
    private SystemProperties systemProperties;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if (request.getMethod().equals(HttpMethod.OPTIONS.name())) {
            response.setStatus(HttpServletResponse.SC_OK);
            return true;
        }
        String requestUri = request.getRequestURI();
        if ("/error".equals(requestUri)){
            return true;
        }
        //防止恶意请求
        /*if (requestMappingListener.getMappings().stream().noneMatch(
                requestUri::equals
        ) && !requestUri.contains(systemProperties.getFileStoreDir())) {
            response.setStatus(HttpServletResponse.SC_OK);
            OutputStream writer = null;
            try {
                writer = response.getOutputStream();
                response.setCharacterEncoding("UTF-8");
                response.setContentType("application/json; charset=utf-8");
                writer.write(JSON.toJSONString(ResponseBuilder.fail("资源不存在")).getBytes(StandardCharsets.UTF_8));
                writer.flush();
            } catch (IOException e) {
                e.printStackTrace();
            }
            return false;
        }*/
        return true;
    }


}
