package com.migao.config.exception.handler;

import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/5/14 10:19
 */
//TODO 项目上线后放开
@RestController
@Slf4j
public class HttpErrorController implements ErrorController {

    private final static String ERROR_PATH = "/error";

    @RequestMapping(path = ERROR_PATH)
    @ResponseStatus(HttpStatus.OK)
    public ResponseBean<?> error(HttpServletRequest request, HttpServletResponse response) {
        log.info("访问/error" + "  错误代码：" + response.getStatus());
        switch (response.getStatus()) {
            case 400:
                return ResponseBuilder.fail("请校验请求参数");
            case 404:
                return ResponseBuilder.fail("资源不存在");
            default:
                return ResponseBuilder.fail("其他异常,请联系管理员");
        }
    }

    @Override
    public String getErrorPath() {
        return ERROR_PATH;
    }
}
