package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/4/10 9:20
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_file_info")
@org.hibernate.annotations.Table(appliesTo = "t_file_info", comment = "文件")
@TableName("t_file_info")
public class FileInfo {

    @Id
    @TableId(type = IdType.ASSIGN_ID)
    @GeneratedValue(generator = "snowFlake")
    @GenericGenerator(name = "snowFlake", strategy = "com.migao.config.jpa.SnowIdentityGenerator")
    @Column(name = "id", columnDefinition = "bigint(20) comment '主键'")
    private Long id;

    @Column(name = "name", columnDefinition = "varchar(255) comment '文件名称'")
    private String name;

    @Column(name = "original_name", columnDefinition = "varchar(255) comment '文件原名'")
    private String originalName;

    @Column(name = "suffix", columnDefinition = "varchar(255) comment '后缀'")
    private String suffix;

    @Column(name = "uri", columnDefinition = "varchar(255) comment '访问地址'")
    private String uri;

    @Column(name = "size", columnDefinition = "varchar(255) comment '文件大小'")
    private Long size;

    @Column(name = "disk_path", columnDefinition = "varchar(255) comment '磁盘路径'")
    private String diskPath;

    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

}
