package com.migao.entity.vo.req;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.util.List;


/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class UserInsertReq {

    @ApiModelProperty(value = "密码")
    @NotEmpty(message = "密码不能为空")
    private String password;

    @ApiModelProperty(value = "注册手机号")
    @NotEmpty(message = "注册手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "用户")
    @NotEmpty(message = "用户不能为空")
    private String username;

    @ApiModelProperty(value = "部门id")
    @NotEmpty(message = "部门不能为空")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long departmentId;

    @ApiModelProperty(value = "角色id")
    @NotEmpty(message = "角色不能为空")
    @JsonSerialize(using= ToStringSerializer.class)
    private List<Long> roles;
}
